// History:
//   Doplněna detekce jazyka dokumentu (ve značce body)
//   Předěláno na jinou strukturu adresářů, doplněno poukování odkazů
//   Oprava regulárního výrazu tak, aby nekazil odkaz Nahoru v patičce
//   Změna kódování na UTF-8

var RelPath="";     // Proměnná pro uložení relativní cesty k rootu webu
                    // Všechny cesty v tomto skriptu pak mají být cestami od
                    // rootu webu (například Web/PIC/MLAB.ico)

function Test()
// Testovací funkce pro ladění
{
  with (document)
  {
    var Info;
    // Test
    // Užitečné: document.URL (cesta a jméno souboru stránky)
    write('<p class="MenuText Small">');
    write('document language '+DocLang());
    write('</p>');
    write('<p class="MenuText Small">');
    write('document language '+navigator.appVersion);
    write('</p>');
    write('<p class="MenuText Small">');
    write('document language '+document.body.lang);
    write('</p>');
    write('<p class="MenuText Small">');
    write('navigator language '+navigator.language);  // FF ano, IE6 ne
    write('</p>');
  }
}


function DocLang()
// Vrací zkratku jazyka stránky ( cs en )
// Není-li v dokumentu uvedená vrací en
{
  var s;
  s=document.body.lang.toLowerCase();
  if(s=="cs") return "cs";  // To by mě zajímalo proč je čeština cs a ne cz
  if(s=="sk") return "cs";  // Pro slováky bude asi čeština vhodnější
  return "en";              // Pro všechny ostatní dáme angličtinu
}


function SetRelativePath(Path)
// Nastaví relativní část cesty tak, abychom se dostali k rootu webu
// Například pro stránky v adresáři "Web" je tento parametr "../"
{
  // Zapamatuji si relativní cestu
  RelPath=Path;
  // Případně doplním na konec lomítko
  if (RelPath.length!=0)
    if (RelPath.charAt(RelPath.length-1)!='/')
      RelPath+='/';
}


function PokeRelativePath(Content)
// Vezme řetězec a doplní v něm všechny odkazy o relativní část cesty
{
  Content=(Content.replace(/(\s+href=[\"\'])([^#])/ig,'$1'+RelPath+'$2'));
  Content=(Content.replace(/(\s+src=[\"\'])([^#])/ig,'$1'+RelPath+'$2'));
  return Content;
}


function DrawHeader(MoreInfo)
// Nepovinny parametr udava nadpis stranky
// Neni-li uveden bere se text ze znacky title dokumentu
{
  // Proměnná pro vznikající vkládaný obsah
  var Content="";
  // Default informace pokud je parametr nezadany
  if(MoreInfo==undefined) MoreInfo=document.title;
  // Vlozeni HTML kodu
  Content+='<div class="InnerHeader"> ';
  if (DocLang()=="cs")
    { // český text
      Content+='<a href="index.cs.html" title="Domů"><span class="HeaderLogo">MLAB</span><img border=0 width=120 height=57 src="Web/PIC/MLAB_online.gif" alt="MLAB Logo"></a>';
    }
  else
    { // English text
      Content+='<a href="index.en.html" title="Home"><span class="HeaderLogo">MLAB</span><img border=0 width=120 height=57 src="Web/PIC/MLAB_online.gif" alt="MLAB Logo"></a>';
    }
  Content+='<span class="HeaderText">'+MoreInfo+'</span>';
  Content+='</div> ';
  // Korekce cest v odkazech
  Content=PokeRelativePath(Content);
  // Výstup sestaveného textu
  document.write(Content);
}


function DrawMenu(MoreInfo)
// Nepovinny parametr udava nazev menu
// Neni-li uveden dava se text Menu
{
  // Proměnná pro vznikající vkládaný obsah
  var Content="";
  // Default text
  if(MoreInfo==undefined) MoreInfo="Menu";
  // Vlastni menu
  Content+='<div class="InnerMenu">';
  Content+='  <div class="Navigation">';
  Content+='    <div class="MenuText">';
  Content+=       MoreInfo;
  Content+='    </div>';
  if (DocLang()=="cs")
    { // český text
      Content+='<ul>';
      Content+='  <li> <a href="index.cs.html" title="Domů">Home</a> </li>';
      Content+='  <li> <a href="Web/Modules.cs.html" title="Jednotlivé moduly MLAB">Moduly</a> </li>';
      Content+='  <li> <a href="Web/Apparatus.cs.html" title="Samostatná zařízení">Zařízení</a> </li>';
      Content+='  <li> <a href="Web/Articles.cs.html" title="Články, informace">Texty</a> </li>';
      Content+='  <li> <a href="Web/News.cs.html" title="Novinky">Novinky</a> </li>';
      Content+='  <li> <a href="Web/Photos.cs.html" title="Galerie fotografií">Fotogalerie</a> </li>';
      Content+='  <li> <a href="Web/Downloads.cs.html" title="Ke stažení">Download</a> </li>';
      Content+='  <li> <a href="Websvn/listing.php?repname=MLAB&path=%2F&sc=0&langchoice=Česky" title="Webový přístup do databáze SVN">WebSVN</a> </li>';
      Content+='  <li> <a href=  "http://test.mlab.cz/Forum" title="Forum uživatelů a autorů">Forum</a> </li>';
      Content+='  <li> <a href="Web/Maintenance.cs.html" title="Stránka údržby webu">Údržba</a> </li>';
      Content+='  <li> <a href="Web/About.cs.html" title="O webu, stavebnici MLAB atd.">O projektu</a> </li>';
      Content+='</ul>';
    }
  else
    { // English text
      Content+='<ul>';
      Content+='  <li> <a href="index.en.html" title="Home">Home</a> </li>';
      Content+='  <li> <a href="Web/Modules.en.html" title="Individual MLAB Modules">Modules</a> </li>';
      Content+='  <li> <a href="Web/Apparatus.en.html" title="Independed Devices">Apparatus</a> </li>';
      Content+='  <li> <a href="Web/Articles.en.html" title="Articles and other Texts">Texts</a> </li>';
      Content+='  <li> <a href="Web/News.en.html" title="News">News</a> </li>';
      Content+='  <li> <a href="Web/Photos.en.html" title="Photo Gallery">Photogallery</a> </li>';
      Content+='  <li> <a href="Web/Downloads.en.html" title="For download">Downloads</a> </li>';
      Content+='  <li> <a href="Websvn/listing.php?repname=MLAB&path=%2F&sc=0&langchoice=English" title="Web interface to SVN database">WebSVN</a> </li>';
      Content+='  <li> <a href=  "http://test.mlab.cz/Forum" title="Forum MLAB">Forum</a> </li>';
      Content+='  <li> <a href="Web/Maintenance.en.html" title="Maintenance page">Maintenance</a> </li>';
      Content+='  <li> <a href="Web/About.en.html" title="About Project">About</a> </li>';
      Content+='</ul>';
    }
  Content+='  </div>';
  Content+='</div> ';
  // Korekce cest v odkazech
  Content=PokeRelativePath(Content);
  // Výstup sestaveného textu
  document.write(Content);
}


function DrawFooter(MoreInfo)
// Nepovinny parametr pro text do paticky
{
  // Proměnná pro vznikající vkládaný obsah
  var Content="";
  // Default text je prazdny
  if(MoreInfo==undefined) MoreInfo="";
  // Vlozeni HTML kodu
  Content+='<div class="InnerFooter">';
  Content+='&nbsp;';   // ústupek IE6 (chyba výpočtu šířky při nenulovém paddingu )
  if (DocLang()=="cs")
    { // český text
      Content+='<a href="#">Nahoru</a> &nbsp; ';
      Content+='<a href="Web/Copyright.cs.html">Copyright</a> &copy; ';
      Content+='<a href="Web/AboutAuthors.cs.html">Autoři MLAB</a> &nbsp; ';
    }
  else
    { // English text
      Content+='<a href="#">Up</a> &nbsp; ';
      Content+='<a href="Web/Copyright.en.html">Copyright</a> &copy; ';
      Content+='<a href="Web/AboutAuthors.en.html">MLAB Authors</a> &nbsp; ';
    }
  Content+='['+document.lastModified+'] &nbsp;&nbsp;&nbsp;';
  Content+=MoreInfo;
  Content+='</div>';
  // Korekce cest v odkazech
  Content=PokeRelativePath(Content);
  // Výstup sestaveného textu
  document.write(Content);
}
